Subject: Armillaria ponderosa(Matsutake) daily prices needed

From: "tim clark" <[email-masked]>
Date: 5 Oct 1996 03:37:14 GMT

I pick Matsutake mushrooms to sell and I'm looking for a  place on the net
that I could find updated prices daily.I'm also looking for more buyers for
my mushrooms..If you can help to point me in the right direction...Please
email me at [email-masked]....Thank You!!